FLANG

Public Member Functions | List of all members
Fortran::semantics::DataChecker Class Reference
Inheritance diagram for Fortran::semantics::DataChecker:

## Public Member Functions
| DataChecker (SemanticsContext &context)
void | Leave (const parser::DataStmtObject &)
void | Leave (const parser::DataIDoObject &)
void | Enter (const parser::DataImpliedDo &)
void | Leave (const parser::DataImpliedDo &)
void | Leave (const parser::DataStmtSet &)
void | CompileDataInitializationsIntoInitializers ()
Public Member Functions inherited from Fortran::semantics::BaseChecker
template<typename N >
void | Enter (const N &)
template<typename N >
void | Leave (const N &)

The documentation for this class was generated from the following files:

- lib/Semantics/check-data.h
- lib/Semantics/check-data.cpp